<?php
require '../../conexao/conexao.php';
session_start();
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id_banco'])) {
    $id_banco = $_POST['id_banco'];
    $url = $_POST['url'];

    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {
        $stmt_pessoa = $connectionmysql->prepare("UPDATE bancos  SET situacao = 'I' WHERE id_banco = ?");
        $stmt_pessoa->bind_param("i", $id_banco);
        $stmt_pessoa->execute();


        $location = '../preferencias/index.php?status=sucesso&tabela=bancos&message=' . urlencode('Ação executada com sucesso!');
        if (!empty($url)) {
            $location .= '&' . $url;
        }
        header("Location: $location");
        exit;
    } else {
        $location = '../preferencias/index.php?status=erro&tabela=bancos&message=' . urlencode('Ocorreu um erro');
        if (!empty($url)) {
            $location .= '&' . $url;
        }
        header("Location: $location");
        exit;
    }
} else {
    $location = '../preferencias/index.php?status=erro&tabela=bancos&message=' . urlencode('Requisição inválida!');
    if (!empty($url)) {
        $location .= '&' . $url;
    }
    header("Location: $location");
    exit;
}
